[java-sig-commits] [jetty/f17] Fix incorrect init script return value

Mikolaj Izdebski mizdebsk at fedoraproject.org
Mon Apr 23 06:44:33 UTC 2012


commit ffadfe76cca42a0ab023fcf97418d4d8c9e0e490
Author: Mikolaj Izdebski <mizdebsk at redhat.com>
Date:   Mon Apr 23 08:30:54 2012 +0200

    Fix incorrect init script return value
    
    - Resolves #814788

 jetty.init |    9 ++++-----
 jetty.spec |    6 +++++-
 2 files changed, 9 insertions(+), 6 deletions(-)
---
diff --git a/jetty.init b/jetty.init
index 58e5664..e96c8ce 100644
--- a/jetty.init
+++ b/jetty.init
@@ -137,17 +137,16 @@ case "$1" in
         start
         ;;
   condrestart)
-        if [ -f $JETTY_PID ] ; then
-                stop
-                start
-        fi
+        [ -f $JETTY_PID ] || exit 0
+        stop
+        start
         ;;
   *)
         echo "Usage: $0 {start|stop|status|restart|reload|condrestart}"
         exit 1
 esac
                                                                                                                                                              
-exit $RETVAL
+exit $?
 
 #
 #
diff --git a/jetty.spec b/jetty.spec
index 41071b0..215a03c 100644
--- a/jetty.spec
+++ b/jetty.spec
@@ -44,7 +44,7 @@
 
 Name:           jetty
 Version:        8.1.0
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Java Webserver and Servlet Container
 
 Group:          Applications/Internet
@@ -403,6 +403,10 @@ fi
 %doc %{_javadocdir}/%{name}
 
 %changelog
+* Mon Apr 23 2012 Mikolaj Izdebski <mizdebsk at redhat.com> - 8.1.0-6
+- Fix incorrect init script return value
+- Resolves #814788
+
 * Wed Apr 18 2012 Mikolaj Izdebski <mizdebsk at redhat.com> - 8.1.0-5
 - Replace eclipse-rcp BR with felix-framework
 - Add missing R: felix-framework


More information about the java-sig-commits mailing list